TAAS - Feature #55

Virtual Card
09/22/2022 11:35 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 09/23/2022
Priority: Normal Due date: 09/27/2022
Assignee: Greeshma S % Done: 90%
Category: Estimated time: 32:00 hours
Target version: 22.12 Spent time: 33:00 hours
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 30.00 Code Reviewed By:

Module: Virtual Card

Description

Coding Virtual Card

History

#1 - 09/27/2022 11:12 AM - Anil KV

Deletetion SP
sp_delete_account(binAccountld::BIGINT, intSysActionl::INT, binDeletedUserld::BIGINT, objSpOutRes);

#2 - 09/27/2022 07:24 PM - Anil KV
Ref: Customer #60

#3 - 09/29/2022 02:45 PM - Anil KV

public IstVirtualCardFrequencyOfUsage: any[] =[ { "intld": 0, "strLabel": "Multi-transaction", "bInDisable": false, "blnActive": true, "strRemarks": " },
{ "intld": 1, "strLabel": "Single-transaction”, "bInDisable": false, "bInActive": false, "strRemarks": "" },

l;

#4 - 10/07/2022 12:10 PM - Anil KV

Add Customer tab like UPI

#5 - 10/07/2022 01:13 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmiFile.html added

- File sql.sql added

#6 - 10/07/2022 01:36 PM - Anil KV

accounts.tbl_account->sin_ac_category = 8

#7 - 10/14/2022 10:38 AM - Amal Siby
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#8 - 10/19/2022 10:37 AM - Amal Siby

- Status changed from Coding Started to Patrticialy Coding Done
- % Done changed from 40 to 30

- Time Taken(HH) set to 30.00
http://103.145.37.7:82/redmine/issues/60

Particialy coding done. Reco.file Format & invoice format is not done

#9 - 12/01/2022 12:14 PM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.ALLOW DUPLICATION ON NAME

2.SET 'DEFAULT CURRENCY' MANDATORY
3.FIX ERRORS ON BANK INPUT BOX

(BANK DETAILS VANISHING FROM INPUT BOX WHILE UPDATING)

4.SET VALIDATION ON MAX LIMIT FIELDS
5.RESIZE CURRENCY COLUMN IN GRID

#10 - 12/02/2022 07:21 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Virtual card Bug fixed, Reco.format removed. invoice format added.

#11 - 12/03/2022 12:08 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.SET MAIN LEDGER MANDATORY
2.RESIZE GRID COLUMNS

3.FIX AUTO COMPETION ERRORS
(BANK)

#12 - 12/03/2022 01:11 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bug Fixed

#13 - 02/07/2023 11:24 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.FIX ALIGNMENT ISSUES ON "CREATED BY & MODIFIED BY" WHILE TRANSLATION

2.FIX BUGS ON "PRIVILAGE TO BE"

(IF ONLY ONE ITEM TICKED ON SELECTION BOX, IT WILL MISSING AFTER UPDATE)

3.UPDATE REGION
4.FIX TRANSLATION BUGS ON LPO

#14 - 02/11/2023 12:08 PM - Amal Siby
- Status changed from Reopen Bugs to Coding Done
- % Done changed from 50 to 60

All bug Fixed.
Region updated.
Duplication fixed.

#15 - 04/24/2023 04:30 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUND *****

1.Set mandatory fields red & required

(Prevent updation on Virtual Card without CODE - in edit mode)
2.Set proper alignment between code & name

(Selection box)

3.Fix bugs on branch

(After " Updated by another user" alert branch automatically
missing)

#16 - 04/24/2023 04:47 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 05/09/2023 03:58 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.In Currency Multi Selection Box widget Tick "BASE1 (QAR)" Then Select "BASE1 (QAR)" as default currency

#18 - 05/10/2023 06:14 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Currency default setting Done

#19 - 07/11/2023 03:24 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED
1.UI CRASHING WHILE ADDING BLANK OPTION IN ACT US CUSTOMER
#20 - 07/18/2023 07:30 PM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Reported Bug Fixed.

#21 - 09/21/2023 06:09 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.GUI BLANK WHILE ADDING ACT US CLIENT

#22 - 09/21/2023 07:26 PM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 09/23/2023 10:15 AM - unnikannan S
TESTING DONE

#24 - 11/20/2023 04:44 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHANGE DEFAULT MAIN LEDGER SUNDRY CREDITOR TO VIRTUAL CARD MAIN LEDGER > Fixed
2.CANT ADD CUSTOMER VIRTUAL CARD IN TRANSACTION RELATED MODULES > Fixed

#25 - 11/21/2023 11:00 AM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Reported Bug 1 & 2 fixed

#26 - 01/25/2024 12:26 PM - unnikannan S
TESTING DONE

#27 - 01/25/2024 12:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

Done 1.ERROR WHILE ADDING VALIDITY HOURS UPTO 5 DIGITS
Error converting value 88888 to type 'System.Int16'. Path 'mdlVirtualCard.mdlVirtualCardBase.sinCardValidityHours', line 1, position 201.

Done 2.FALSE BASED ON FIELD ON MAX LIMIT PAID FIELD
#28 - 01/25/2024 03:17 PM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#29 - 02/02/2024 10:35 AM - unnikannan S
TESTING DONE

#30 - 02/08/2024 12:50 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
Fixed 1.MISSING DATA AFTER SAVE
#31 - 02/08/2024 07:05 PM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#32 - 02/09/2024 09:53 AM - unnikannan S
TESTING DONE

#33 - 02/10/2024 04:43 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A PARTY
(Discuss With Anil Sir for Changes )

#34 - 02/14/2024 10:02 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#35 - 02/14/2024 12:10 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A PARTY
(Discuss With Anil Sir for Changes )

#36 - 02/15/2024 01:07 PM - unnikannan S
TESTING DONE

#37 - 10/11/2024 02:46 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Deleted account still showing in the Ul after deletion
2. Imported accounts cannot be deleted if approved from account approve

#38 - 10/14/2024 04:35 PM - Arathy PS

- Assignee changed from Vivekp V to Greeshma S

#39 - 10/14/2024 06:16 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#40 - 11/15/2024 12:55 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#41 - 12/16/2024 03:27 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

#42 - 12/16/2024 03:34 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

NEW CHANGES

1. Add an allow payment field with a checkbox (similar to corporate card)
2. Add a title to act as client and allow payment (both blue star)

act as client: will show in the party side of sale, receipt

allow payment: can be a party in refund and payment.

#43 - 12/16/2024 06:47 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#44 - 12/20/2024 11:25 AM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Allow payment should be untick and disable while selecting customer card.
#45 - 12/20/2024 11:45 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#46 - 12/27/2024 05:56 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.cs 1.73 KB 10/07/2022 Anil KV
2-tsModel.ts 1.33 KB 10/07/2022 Anil KV
3-CsFile.cs 12.2 KB 10/07/2022 Anil KV
4-CsControllerFile.cs 24.5 KB 10/07/2022 Anil KV
5-TsFile.ts 13.8 KB 10/07/2022 Anil KV
6-HtmiFile.html 1.9 KB 10/07/2022 Anil KV
sql.sql 12.1 KB 10/07/2022 Anil KV
